from typon import fork, sync

def fibo(n: int) -> int:
    if n < 2:
        return n
    a = fibo(n - 1)
    b = fibo(n - 2)
    return a + b

# def parallel_fibo(n: int) -> int:
#     if n < 2:
#         return n
#     if n < 25:
#         a = fibo(n - 1)
#         b = fibo(n - 2)
#         return a + b
#     x = fork(lambda: fibo(n - 1))
#     y = fork(lambda: fibo(n - 2))
#     sync()
#     return x.get() + y.get()


if __name__ == "__main__":
    print(fibo(30)) # should display 832040