//
// Created by Tom on 13/06/2023.
//

#ifndef TYPON_BYTES_H
#define TYPON_BYTES_H

class PyStr;

class PyBytes : public std::string {
public:
  PyBytes() : std::string() {}
  PyBytes(const char *s) : std::string(s) {}
  PyBytes(const std::string &s) : std::string(s) {}
  PyBytes(std::string &&s) : std::string(std::move(s)) {}
  PyBytes(size_t count, char ch) : std::string(count, ch) {}

  template <class InputIterator>
        PyBytes(InputIterator first, InputIterator last) : std::string(first, last) {}

  PyStr decode(const std::string &encoding = "utf-8") const;
};

#endif // TYPON_BYTES_H

