//
// Created by Tom on 13/03/2023.
//

#ifndef TYPON_RANGE_HPP
#define TYPON_RANGE_HPP

#include <ranges>

#include <python/basedef.hpp>

// todo: proper range support
struct range_s : TyBuiltin<range_s>
{
  template <typename T>
  auto sync(T stop) { return std::views::iota(0, stop); }

  template <typename T>
  auto sync(T start, T stop) { return std::views::iota(start, stop); }
} range;

#endif // TYPON_RANGE_HPP
