//
// Created by Tom on 09/03/2023.
//

#ifndef TYPON_SYS_HPP
#define TYPON_SYS_HPP

#include <iostream>
#include "builtins.hpp"

namespace py_sys {
struct sys_t {
  static constexpr auto &stdin = std::cin;
  static constexpr auto &stdout = std::cout;
  static constexpr auto &stderr = std::cerr;
  PyList<PyStr> argv;

  FUNCTION(void, exit, (int code), {
    std::exit(code);
  })
} all;

auto& get_all() {
  return all;
}
} // namespace py_sys

#endif // TYPON_SYS_HPP
